<?php
/**
 * Zend Framework (http://framework.zend.com/)
 *
 * @link      http://github.com/zendframework/ZendSkeletonApplication for the canonical source repository
 * @copyright Copyright (c) 2005-2012 Zend Technologies USA Inc. (http://www.zend.com)
 * @license   http://framework.zend.com/license/new-bsd New BSD License
 */

namespace Application\Controller;

use Zend\Mvc\Controller\AbstractActionController;
use Zend\View\Model\ViewModel;
use Zend\View\Helper\BasePath;

class IndexController extends AbstractActionController
{
	/**
     * @var authservice
     */
    protected $authservice;
    
	/**
     * Gets an instance of authentication service.
     *
     * @return instance of authservice
     */
    public function getAuthService()
    {
		// check if the authserive data member is initialized
        if (! $this->authservice) {
            $this->authservice = $this->getServiceLocator()
                                      ->get('AuthService');
        }
		
        return $this->authservice;
    }
	
    public function indexAction()
    {
		$isLoggedIn = 'no';
		if ($this->getServiceLocator()->get('AuthService')->hasIdentity()){
			$isLoggedIn = 'yes';
        }
		$this->getEvent()->getViewModel()->is_logged_in = $isLoggedIn;
    }
}
