<?php
return array(
    'controllers' => array(
        'invokables' => array(
			'Login\Controller\Login'      => 'Login\Controller\LoginController',
			'Login\Controller\Register'   => 'Login\Controller\RegisterController',
			'Login\Controller\Forgetpass' => 'Login\Controller\ForgetpassController',
        ),
    ),
    'router' => array(
        'routes' => array(
		
            'login' => array(
                'type'    => 'Literal',
                'options' => array(
                    'route'    => '/login',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Login\Controller',
                        'controller'    => 'Login',
                        'action'        => 'login',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
                    'process' => array(
                        'type'    => 'Segment',
                        'options' => array(
                            'route'    => '/[:action]',
                            'constraints' => array(
                                'controller' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'action'     => '[a-zA-Z][a-zA-Z0-9_-]*',
                            ),
                            'defaults' => array(
                            ),
                        ),
                    ),
                ),
            ),
            'register' => array(
                'type'    => 'segment',
                'options' => array(
                    'route'    => '/register[/][:action][/:activationid]',
                    'constraints' => array(
                        'action' 		=> 	'[a-zA-Z][a-zA-Z0-9_-]*',
                        'activationid' 	=> 	'[a-zA-Z0-9_-][a-zA-Z0-9_-]*'
                    ),
                    'defaults' => array(
                        'controller' => 'Login\Controller\Register',
                        'action'     => 'index',
                    ),
                )
            ),
			'forget_password' => array(
                'type'    => 'segment',
                'options' => array(
                    'route'    => '/password_reset',
                    'constraints' => array(
                        'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                        'id'     => '[0-9]*',
                    ),
                    'defaults' => array(
                        'controller' => 'Login\Controller\Forgetpass',
                        'action'     => 'index',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
                    'default' => array(
                        'type'    => 'Segment',
                        'options' => array(
                            'route'    => '/[:action]',
                            'constraints' => array(
                                'controller' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'action'     => '[a-zA-Z][a-zA-Z0-9_-]*',
                            ),
                            'defaults' => array(
                            ),
                        ),
                    ),
                ),
            ),
        ),
    ),
    'view_manager' => array(
        'template_path_stack' => array(
            'login' => __DIR__ . '/../view',
        ),
		'template_map' => array(
			'activation-email/view'         => __DIR__ . '/../view/login/email_template/account_activation.phtml',
            'email/view'                    => __DIR__ . '/../view/login/email_template/email_template.phtml',
		)
    ),
);

