<?php
//module/Secure/src/Secure/Form/RegisterForm.php

/**************
	Purpose: Define the structure of registration form.
	Author: Kevin Gyberg
	Date: 03/07/2012
*************/

namespace Secure\Form;
use Zend\Form\Form;

class RegisterForm extends Form
{
	/**
     * Constructor to create the structure of the registration form.
     */
    public function __construct()
    {
        // we want to ignore the name passed
        parent::__construct('Form');
		
		// set the form action as post
        $this->setAttribute('method', 'post');
		
		// add email as input field text and set label and options as required
		$this->add(array(
            'name' => 'email_login',
            'attributes' => array(
                'type'  => 'text'
            ),
            'options' => array(
                'label' => 'Your Email Address: ',
            ),
        ));
		
		// add username as input field password and set label and options as required
		$this->add(array(
            'name' => 'password',
            'attributes' => array(
                'type'  => 'password',
            ),
            'options' => array(
                'label' => 'Choose a Password: ',
            ),
        ));
		
		// add confirm password as input field password and set label and options as required
		$this->add(array(
            'name' => 'conf_password',
            'attributes' => array(
                'type'  => 'password'
            ),
            'options' => array(
                'label' => 'Re-enter Password: ',
            ),
        ));
		
		// add username as input field text and set label and options as required.
        $this->add(array(
            'name' => 'first_name',
            'attributes' => array(
                'type'  => 'text'
            ),
            'options' => array(
                'label' => 'Your First Name:',
            ),
        ));
		
		$this->add(array(
            'name' => 'last_name',
            'attributes' => array(
                'type'  => 'text'
            ),
            'options' => array(
                'label' => 'Your Last Name:',
            ),
        ));
		
		$this->add(array(
            'name' => 'terms_conditions_agree',
            'attributes' => array(
                'type'  => 'checkbox',
				'id'	=> 'terms_of_service',
				'value'	=> 'terms_agreed'
            ),
            'options' => array(
                'label' => 'Terms of Service:'
            )
        ));
		
		$this->add(array(
			'type' => 'Radio',
            'name' => 'set_up_resource',
			'options' => array(
				'label' => '',
				'value_options' => array(
					'cared_for' => 'I would like to setup a Profile for a person I will be caring for',
					'provider' => 'I am a provider of services and would like to setup my business on the Help To Care network',
					'none' => 'I would just like to register for now (You can setup a care-for or provider information at any time)'
				),
			)
        ));
		
		// add submit button
        $this->add(array(
            'name' => 'submit',
            'attributes' => array(
                'type'  => 'submit',
                'value' => 'Create my account',
                'id' => 'submitbutton',
				'style' => 'width:11em;',
				'onclick' => 'return check_terms_of_service();'
            ),
        ));
    }
}