<?php
//module/Secure/src/Secure/Form/RegisterForm.php

/**************
	Purpose: Define the structure of registration form.
	Author: Kevin Gyberg
	Date: 03/07/2012
*************/

namespace Secure\Form;
use Zend\Form\Form;

class AccountForm extends Form
{
	/**
     * Constructor to create the structure of the registration form.
     */
    public function __construct()
    {
        // we want to ignore the name passed
        parent::__construct('Form');
		
		// set the form action as post
        $this->setAttribute('method', 'post');
		
		// add email as input field text and set label and options as required
		$this->add(array(
            'name' => 'email_address',
            'attributes' => array(
                'type'  => 'text'
            ),
            'options' => array(
                'label' => 'Your Email Address: ',
            ),
        ));
		
		// add username as input field password and set label and options as required
		$this->add(array(
            'name' => 'pass_word',
            'attributes' => array(
                'type'  => 'password',
            ),
            'options' => array(
                'label' => 'Choose a Password: ',
            ),
        ));
		
		// add confirm password as input field password and set label and options as required
		$this->add(array(
            'name' => 'conf_password',
            'attributes' => array(
                'type'  => 'password'
            ),
            'options' => array(
                'label' => 'Re-enter Password: ',
            ),
        ));
		
		// add username as input field text and set label and options as required.
        $this->add(array(
            'name' => 'first_name',
            'attributes' => array(
                'type'  => 'text'
            ),
            'options' => array(
                'label' => 'Your First Name:',
            ),
        ));
		
		$this->add(array(
            'name' => 'last_name',
            'attributes' => array(
                'type'  => 'text'
            ),
            'options' => array(
                'label' => 'Your Last Name:',
            ),
        ));
		
		// add submit button
        $this->add(array(
            'name' => 'submit',
            'attributes' => array(
                'type'  => 'submit',
                'value' => 'Update Account',
                'id' => 'submitbutton',
				'style' => 'width:11em;'
            )
        ));
    }
}