<?php
//module/Secure/src/Secure/Model/Events.php

/**************
	Purpose: Defining the structure of data to be inserted into the events table.
	Author: Kevin Gyberg
	Date: 03/07/2012
*************/

namespace Secure\Model;

class Events
{
	/**
     * @var event_id
     */
    public $event_id;
	
	/**
     * @var event_name
     */
    public $event_name;
	
	/**
     * @var start_date
     */
    public $start_date;

	/**
     * @var end_date
     */
    public $end_date;
	
	/**
     * @var where
     */
    public $where;
	
	/**
     * @var description
     */
    public $description;
	
	/**
     * @var color
     */
    public $color;
	
	/**
     * @var is_all_day
     */
    public $is_all_day;
    

	/**
     * Preparing the posted data to store in database.
     *
     * @param  $data(array) with arbitrary key values.
     */
    public function exchangeArray($data)
    {
        $this->event_id = (isset($data['eventid'])) ? $data['eventid']: null;
        $this->event_name = 
			(isset($data['event_name'])) ? $data['event_name'] : null;
        $this->start_date = 
			(isset($data['start_date'])) ? $data['start_date'] : null;
        $this->end_date  = (isset($data['end_date'])) ? $data['end_date'] : null;
		$this->description  = (isset($data['description'])) ? $data['description'] : null;
		$this->where  = (isset($data['where'])) ? $data['where'] : null;
		$this->color  = (isset($data['color'])) ? $data['color'] : null;
		$this->is_all_day  = (isset($data['is_all_day'])) ? $data['is_all_day'] : 0;
    }
}